> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List partners

> List partners and filter them by name, email or any custom properties.
            
To filter partners on custom property, just add the property with its exact value as a query parameter: `myCustomProp=ThisIsAValue`  
This will return the partners where myCustomProp exactly matches the provided value.



## OpenAPI

````yaml /openapi.json get /v3/partners
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/partners:
    get:
      tags:
        - Partners
      summary: List partners
      description: "List partners and filter them by name, email or any custom properties.\r\n            \r\nTo filter partners on custom property, just add the property with its exact value as a query parameter: `myCustomProp=ThisIsAValue`  \r\nThis will return the partners where myCustomProp exactly matches the provided value."
      parameters:
        - name: name
          in: query
          description: The exact name of the partner.
          schema:
            type: string
        - name: email
          in: query
          description: The email of one of the team member used to search the partner.
          schema:
            type: string
        - name: referral_code
          in: query
          description: The exact referral code of the partner.
          schema:
            type: string
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first lead
            to be returned.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of leads to be returned. The default is 20.
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          description: The property used to sort the leads by. The default is CreationDate.
          schema:
            type: string
            example: CreationDate
          example: CreationDate
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned leads. Accepted values: ASC,
            DESC. The default is DESC.
          schema:
            type: string
      responses:
        '200':
          description: Partners returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerListResponseDto'
      security:
        - oauth2:
            - Api
            - Api
components:
  schemas:
    PartnerListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PartnerDto'
          nullable: true
        paginationSkipCount:
          type: integer
          format: int32
        totalCount:
          type: integer
          description: >-
            Gets or sets the total number of items that could be returned by
            this command (without pagination).
          format: int32
      additionalProperties: false
    PartnerDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        groupId:
          type: integer
          format: int32
          nullable: true
        onboardingStatus:
          $ref: '#/components/schemas/OnboardingStatus'
        status:
          $ref: '#/components/schemas/PartnerStatus'
        source:
          $ref: '#/components/schemas/PartnerSource'
        company:
          $ref: '#/components/schemas/CompanyDto'
        mainContact:
          $ref: '#/components/schemas/UserPartnerDto'
        onboardingStage:
          $ref: '#/components/schemas/OnboardingStageDto'
        onboardingStages:
          type: array
          items:
            $ref: '#/components/schemas/OnboardingStageDto'
          nullable: true
        levels:
          type: array
          items:
            $ref: '#/components/schemas/ProgramLevelPartialDto'
          nullable: true
        sinceDate:
          type: string
          format: date-time
          nullable: true
        partnerTypeId:
          type: integer
          format: int32
          nullable: true
        partnerTypeName:
          type: string
          nullable: true
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        ownerUserId:
          type: integer
          format: int32
          nullable: true
        owner:
          $ref: '#/components/schemas/UserDto'
        referralCode:
          type: string
          nullable: true
        paypalEmail:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        payoutProvider:
          $ref: '#/components/schemas/PayoutProviderDto'
        language:
          type: string
          nullable: true
      additionalProperties: false
    OnboardingStatus:
      enum:
        - Unknown
        - NotOnboarded
        - InProgress
        - Completed
      type: string
    PartnerStatus:
      enum:
        - Unknown
        - Active
        - Prospect
        - Rejected
        - Applicant
        - Inactive
        - Onboarding
      type: string
    PartnerSource:
      enum:
        - Unknown
        - ManuallyAdded
        - SignupForm
      type: string
    CompanyDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        websiteUrls:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    UserPartnerDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        email:
          type: string
          nullable: true
        firstname:
          type: string
          nullable: true
        lastname:
          type: string
          nullable: true
        jobTitle:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        linkedInProfileUrl:
          type: string
          nullable: true
        creationDate:
          type: string
          format: date-time
        isMainContact:
          type: boolean
      additionalProperties: false
    OnboardingStageDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        order:
          type: integer
          format: int32
        onboardingPipelineId:
          type: integer
          format: int32
        onboardingPipelineName:
          type: string
          nullable: true
      additionalProperties: false
    ProgramLevelPartialDto:
      type: object
      properties:
        programLevelId:
          type: integer
          format: int32
        programLevelName:
          type: string
          nullable: true
        programId:
          type: integer
          format: int32
        programName:
          type: string
          nullable: true
      additionalProperties: false
    UserDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        email:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      additionalProperties: false
    PayoutProviderDto:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/PayoutProviderType'
        details:
          $ref: '#/components/schemas/PayoutProviderDetailsDto'
      additionalProperties: false
    PayoutProviderType:
      enum:
        - Unknown
        - Paypal
        - Wise
        - Stripe
        - Payoneer
        - Chargebee
      type: string
    PayoutProviderDetailsDto:
      type: object
      additionalProperties: false

````